Start Art Fee report
Start Art Fee report generation for a set time period and optionally for given stores.
Required permissions: REPORTING
post/tenants/{tenantUid}/organizations/{organizationUid}/reports/art-fee
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+organizationUidstringRequiredPattern:
Reference to an organization.
^[A-Za-z0-9-_]+Body
fromDatestring · dateRequired
toDatestring · dateRequired
storeUidsstring[]Optional
reportUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Report details
application/json
reportUidstringRequiredPattern:
^[A-Za-z0-9-_]+requestany ofRequired
The request response depends on the what type of report it is
or
or
or
statestring · enumRequiredPossible values:
typestring · enumRequired
Possible values:
Available reports are:
| ENUM | Description |
|---|---|
| SAFT | SAFT reports |
| SalesPrStore | Sales per store |
| StoreWarehouseDetails | Monthly warehouse details |
| WarehouseStockDetails | Details list of all stock on the current warehouse |
| ART_FEE | Art fee report |
| ART_PROVISION | Artists' provision report |
| OPEN_ITEMS | List of outstanding receivables |
| SOLD_NOT_DELIVERED | Products sold not delivered |
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
sendNotificationTostringRequired
notificationSentAtstring · date-timeOptional
progressstringRequired
filenamestringRequired
filesizeintegerRequired
post/tenants/{tenantUid}/organizations/{organizationUid}/reports/art-fee
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports/art-fee HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"storeUids": [
"text"
],
"reportUid": "text"
}201
Report details
{
"reportUid": "text",
"request": {
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"storeUids": [
"text"
],
"reportUid": "text"
},
"state": "ABORTED",
"type": "SAFT",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"sendNotificationTo": "text",
"notificationSentAt": "2026-01-01T00:00:00.000Z",
"progress": "text",
"filename": "text",
"filesize": 1
}Last updated
Was this helpful?

